Skip to content

Complete Customer Photo Upload

Required scope: customer_file:create

This is step 2 of the public photo upload flow. After the client uploads the photo to the signed URL, call this endpoint to create the customer photo record.

The upload must be completed by the same API key that created it. Completion verifies the image bytes and moves them to a server-owned object key before creating the customer record.

Generated Reference
POST /public-api/publicapi.v1.Customer/CompleteCustomerPhotoUpload

Finalizes a previously-created customer photo upload.

Request CompleteCustomerPhotoUploadRequest
Response CompleteCustomerPhotoUploadResponse

CompleteCustomerPhotoUploadRequest

Field Type
upload_id string

CompleteCustomerPhotoUploadResponse

Field Type
photo CustomerPhoto
{
"uploadId": "9a970b0c-1a2f-49db-b67b-43fa4fc32bbf"
}
{
"photo": {
"id": "cba8fef4-4fd2-4be6-af77-326e716ef130",
"customerId": "be85f4d1-b680-4964-bf62-9828fdf4ce04",
"visibility": "PUBLIC_CUSTOMER_FILE_VISIBILITY_INTERNAL",
"originalFilename": "inspection-photo.jpg",
"contentType": "image/jpeg",
"sizeBytes": 5242880
}
}